Bug 984272 - cinder: if I delete a volume type that is part of a volume we remove the type and list the volume with type=uuid
cinder: if I delete a volume type that is part of a volume we remove the type...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: 4.0
Assigned To: RHOS Maint
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 07:34 EDT by Dafna Ron
Modified: 2016-04-26 21:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 05:20:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-07-14 07:34:24 EDT
Description of problem:

If I created a volume with a type and than remove the type, we remove the name of the type from the volume list but leave the UUID. 

Version-Release number of selected component (if applicable):

openstack-cinder-2013.1.2-3.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create a volume type
2. create a volume using the type you created 
3. delete the type

Actual results:

the type is deleted but leaves the volumes with type which is UUID

Expected results:

if we remove it from all the associated objects

Additional info:


[root@opens-vdsb ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| efd38e20-bc99-415c-aa0e-fc9efd22ca53 | available |     TYPE     |  10  |     TYPE    |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+


[root@opens-vdsb ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+--------------------------------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size |             Volume Type              | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+--------------------------------------+----------+-------------+
| efd38e20-bc99-415c-aa0e-fc9efd22ca53 | available |     TYPE     |  10  | 220d424d-a28d-44a9-b043-6a027f8fb886 |  false   |             |
+--------------------------------------+-----------+--------------+------+--------------------------------------+----------+-------------+
Comment 2 Haim 2013-08-21 03:14:36 EDT
opened https://bugs.launchpad.net/cinder/+bug/1214742

Note You need to log in before you can comment on or make changes to this bug.